This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 848565 (CVE-2012-4296)

Summary: CVE-2012-4296 wireshark: DoS via excessive CPU consumption in RTPS2 dissector (wnpa-sec-2012-18)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: huzaifas, jsafrane, mapcode.mind, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120815,reported=20120815,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/wireshark=affected,rhel-5/wireshark=notaffected,rhel-6/wireshark=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-04-25 12:30:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 848593    
Bug Blocks: 848592    

Description Vincent Danen 2012-08-15 17:26:46 EDT
It may be possible to make Wireshark consume excessive CPU resources by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Affects 1.4.0 to 1.4.14, 1.6.0 to 1.6.9, 1.8.0 to 1.8.1 and is fixed in upstream 1.8.2, 1.6.10, and 1.4.15 versions.

http://www.wireshark.org/security/wnpa-sec-2012-18.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7568
http://anonsvn.wireshark.org/viewvc?view=revision&revision=44320

Note: 1.0.x does not have the RTPS2 dissector, 1.2.x does so is probably affected.
Comment 1 Vincent Danen 2012-08-15 18:10:25 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 848593]
Comment 2 Huzaifa S. Sidhpurwala 2012-08-20 00:32:08 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 3 Fedora Update System 2012-08-27 18:55:19 EDT
wireshark-1.6.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-08-27 19:04:56 EDT
wireshark-1.6.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.